Loading...
Searching...
No Matches
OBRTree Class Reference

`#include <openbabel/ring.h>`

## Public Member Functions

| OBRTree (OBAtom *, OBRTree *)
| ~OBRTree ()
int | GetAtomIdx ()
void | PathToRoot (std::vector< OBAtom * > &)

## Detailed Description

Internal class for OBRing search algorithms to create a search tree of OBAtom objects.

## Constructor & Destructor Documentation

## OBRTree()

OBRTree | ( | OBAtom * | atom,
|  | OBRTree * | prv )

Construct a search tree from a possible parent entry and atom entry.

Referenced by OBRTree().

## ~OBRTree()

~OBRTree | ( |  | ) |

inline

## Member Function Documentation

## GetAtomIdx()

int GetAtomIdx | ( |  | ) |

Returns
  the OBAtom::GetIdx() index of the atom in this node

## PathToRoot()

void PathToRoot | ( | std::vector< OBAtom * > & | path | ) |

Recursively find the root of this tree, building up a vector of OBAtom nodes.

The supplied path is built up of OBAtom nodes, with the root atom the last item in the vector.

The documentation for this class was generated from the following files:

- ring.h
- ring.cpp